using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MarsRover
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ManualRobot = true;
            TerrainSize = 256;
            UniqueBoulders = 20;
            TotalBoulders = 100;
        }

        private void TerSizeChanged(object sender, EventArgs e)
        {
            TerrainSize = (int)numericUpDown1.Value;
        }

        private void UniqueChanged(object sender, EventArgs e)
        {
            UniqueBoulders = (int)numericUpDown2.Value;
        }

        private void BoulderCount(object sender, EventArgs e)
        {
            TotalBoulders = (int)numericUpDown3.Value;
        }

        private void ManualControl(object sender, EventArgs e)
        {
            ManualRobot = true;
        }

        private void AutonomousControl(object sender, EventArgs e)
        {
            ManualRobot = false;
        }

        public bool ManualRobot
        {
            get;
            set;
        }

        public int TerrainSize { get; set; }
        public int UniqueBoulders { get; set; }
        public int TotalBoulders { get; set; }
    }
}
